Kuest Docs

Get Market By Token Id

Get market identifiers for a token

Get Help
GET
/markets-by-token/{token_id}

Path Parameters

token_id*string

Token identifier.

Response Body

Parent market identifiers for the token.

application/json
  1. response
condition_id*string

Condition identifier for the parent market.

creator*|

Lowercase wallet address that created the condition.

mirror_condition_id?string

Polymarket condition identifier paired with condition_id. Omitted when the market is not a Polymarket mirror.

primary_token_id*string

First token identifier for the market.

mirror_primary_token_id?string

Polymarket token identifier paired with primary_token_id. Omitted when no mirror token exists.

secondary_token_id*string

Second token identifier for the market.

mirror_secondary_token_id?string

Polymarket token identifier paired with secondary_token_id. Omitted when no mirror token exists.

curl -X GET 'https://clob.kuest.com/markets-by-token/string'
{  "condition_id": "string",  "creator": "string",  "mirror_condition_id": "string",  "primary_token_id": "string",  "mirror_primary_token_id": "string",  "secondary_token_id": "string",  "mirror_secondary_token_id": "string"}